org.apache.flume.source.scribe

## Interface Scribe.AsyncIface

- All Known Implementing Classes:
    Scribe.AsyncClient
  Enclosing class:
    Scribe

      public static interface Scribe.AsyncIface

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `Log(List<LogEntry> messages, org.apache.thrift.async.AsyncMethodCallback<Scribe.AsyncClient.Log_call> resultHandler)`

- - ### Method Detail

    - #### Log

          void Log(List<LogEntry> messages,
                 org.apache.thrift.async.AsyncMethodCallback<Scribe.AsyncClient.Log_call> resultHandler)
                   throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.